from pydantic import BaseModel
from pydantic.types import Optional


class Document(BaseModel):
    name: str
    data: Optional[str]


class DocumentUpdate(BaseModel):
    name: Optional[str]
    access: Optional[list]
    data: Optional[str]


class Access(BaseModel):
    access_type: int
