import * as React from "react";

function LockIcon({fill = "#6C7281", ...rest}) {
    return (
        <svg
            width={24}
            height={24}
            fill="none"
            viewBox="-2.5 -2.5 21.5 21.5"
            xmlns="http://www.w3.org/2000/svg"
            {...rest}
        >
            <path
                d="M8 1a2 2 0 0 1 2 2v4H6V3a2 2 0 0 1 2-2zm3 6V3a3 3 0 0 0-6 0v4a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2z"
                fill={fill}
            />
        </svg>
    );
}

export default LockIcon;
