import * as React from "react";

function OptionsIcon({fill = "#6C7281", ...rest}) {
    return (
        <svg
            width={24}
            height={24}
            fill="none"
            viewBox="-2.5 -2.5 21.5 21.5"
            xmlns="http://www.w3.org/2000/svg"
            {...rest}
        >
            <path
                d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z"
                fill={fill}
            />
        </svg>
    );
}

export default OptionsIcon;
